extends Actor

export var top_speed: = 1000

func _ready() -> void:
	randomize()
	_direction.x = random_direction()
	_direction.y = randf() * random_direction()

func _physics_process(_delta: float) -> void:
	_velocity = calculate_move_velocity(_velocity, _direction, speed)
	_velocity = move_and_slide(_velocity)

func _on_BounceCheck_body_entered(body: PhysicsBody2D) -> void:
	bounce(body)

func bounce(object: PhysicsBody2D) -> void:
	if speed.x <= top_speed:
		speed.x *= 1.1
	if object is Actor:
		_direction.x = -_direction.x
		$"SFX/BounceSound-2".play()
	else:
		_direction.y *= -1
		$"SFX/BounceSound-1".play()
	
func random_direction() -> int:
	var directions:= [-1, 1]
	return directions[randi() % directions.size()]

