extends Control

onready var scene_tree = get_tree()
onready var p1_score: Label = $P1Score
onready var p2_score: Label = $P2Score
onready var pause_overlay: ColorRect = $PauseOverlay

var paused: = false setget set_paused

func _ready() -> void:
	PlayerData.connect("p1_score_updated", self, "update_interface")
	PlayerData.connect("p2_score_updated", self, "update_interface")
	update_interface()

func _unhandled_input(event: InputEvent) -> void:
	if event.is_action_pressed("Pause"):
		self.paused = not paused
		# Prevents other nodes handling the "pause" event
		scene_tree.set_input_as_handled()


func update_interface() -> void:
	p1_score.text = "%s" % PlayerData.p1_score
	p2_score.text = "%s" % PlayerData.p2_score 


func set_paused(value: bool) -> void:
	paused = value
	scene_tree.paused = value
	pause_overlay.visible = value
